Arbeitsbereich Assembly

From FreeCAD Documentation
This page is a translated version of the page Assembly Workbench and the translation is 99% complete.
Symbol des Arbeitsbereichs Assembly

Einleitung

eingeführt mit Version 1.0

Der Arbeitsbereich Assembly ist FreeCADs neuer eingebauter Arbeitsbereich für das Erstellen von Baugruppen bzw. Zusammenbauten.

Werkzeuge

Zusammenbau

Verbindungen

  • Zahnrad-/Riemenverbindung erstellen:

Beispiel

Dieses ist ein temporäres Beispiel und kann entfernt werden, sobald richtige Beschreibungen bzw. Anleitungen zur Verfügung stehen.

Ein kinematischer Zusammenbau

Der kinematische Zusammenbau (die Kinematik), die erstellt wird, besteht aus vier Bauteilen: Eine Basis, ein Schieber, eine Kurbel und ein Pleuel (Verbindungsstange). Sie sind mit vier Gelenken verbunden.

Die zusammengebauten Bauteile: Basis (bernsteinfarben), Schieber (hellblau), Kurbel (rot), Pleuel (grün)

Bauteile vorbereiten

In diesem Beispiel werden alle Bauteile und der Zusammenbau in einem Dokument erstellt.

Von links nach rechts: Basis, Schieber, Kurbel, Pleuel

Zylindrische Geometrien sind entweder parallel oder rechtwinklig, der Rest ist für dieses Beispiel nicht von Bedeutung, solange es keine Kollision verursacht. Mit dieser Info im Hinterkopf modelliert man seine eigene Formen.

Eine Hauptbaugruppe hinzufügen

Baugruppe erstellen fügt einem Dokument eine Hauptbaugruppe hinzu. (dieses Werkzeug kann auch Unterbaugruppen zu ausgewählten vorhandenen Baugruppen hinzufügen)

Baumansicht von Bauteilen (Parts) und Baugruppe (Assembly) in einem Dokument

Die Bauteile in den Baugruppenbehälter verschieben

Die Bauteile in der Baumansicht auf das Baugruppenobjekt (Assembly object) ziehen und ablegen. Jetzt können sie vom Assembly-Gleichungslöser verarbeitet werden.

Die Bauteile sind jetzt im Assembly-Behälter

Ein Bauteil verankern

Um eine Baugruppe an der gewünschten Stelle zu behalten, sollte das Bauteil Basis festgesetzt werden, oder verankert, wie es hier genannt wird. Ein Bauteil in der Baumansicht oder in der 3D-Ansicht auswählen und den Befehl Festsetzen umschalten aufrufen. Dies legt die Position der Basis im Bezug auf das lokale Koordinatensystem (LKS) des Assembly-Behälters fest. Dies fügt ein GroundedJoint-Objekt in den Joints-Behälter ein (und hängt am Ende der Benennung des Basis-Objekts ein Schlosssymbol an (vor Weekly-Build 0.22 - 37213)).

Den Joints-Behälter erweitern, um das GroundedJoint-Objekt zu finden

(Das GroundedJoint-Objekt kann nicht ausgeblendet werden und hat keine Repräsentanz in der 3D-Ansicht (vor Weekly-Build 0.22 - 37213))

Verbindungen hinzufügen

Eine Verbindung (ein Gelenk) verbindet genau zwei Elemente unterschiedlicher Bauteile. Sie können wahlweise ausgewählt werden, bevor das Werkzeug für die gewünschte Verbindung aufgerufen wird (jede Anzahl ausgewählter Elemente außer zwei ergibt eine leere Auswahl).
Die Elemente legen die Position und Ausrichtung eines LKS fest, das durch einen gefüllten Kreis auf der lokalen XY-Ebene und drei Linien entlang der lokalen X- (rot), Y- (grün) und Z-Achse (blau) dargestellt wird.

  • Ein Drehgelenk (Scharnier) zwischen Basis und Kurbel

Ausgewählte Elemente + Drehverbindung erstellen → neu angeordnete Kurbel

  • Eine zylindrische Führung zwischen Basis und Schieber

Ausgewählte Elemente + Zylindrische Verbindung erstellen → neu angeordneter Schieber

  • Ein Drehgelenk (Scharnier) zwischen Kurbel und Pleuel

Ausgewählte Elemente + Drehverbindung erstellen → neu angeordnetes Pleuel

Nun haben sich mehrere Gelenke in einer Reihe ergeben und wir müssen dem Gleichungslöser helfen eine sinnvolle Lösung zu finden.
Bauteile anklicken und → auf eine einfacher zu berechnende Position ziehen.

  • Eine zylindrische Führung zwischen Pleuel und Schieber

Ausgewählte Elemente + Zylindrische Verbindung erstellen → fertiger Zusammenbau

Im fertiggestellten Zusammenbau können die Bauteile entsprechend den verwendeten Verbindungen mit dem Mauszeiger bewegt werden.

Die Kurbel antreiben

Um die Lage aller Bauteile der Baugruppe zueinander durch den Winkel zwischen der Basis und der Kurbel zu steuern, muss deren Drehgelenk in eine starre Verbindung umgewandelt werden.
Dafür klickt man das Revolte-Objekt in der Baumansicht doppelt an. Im Dialog ändert man Revolute zu Fixed und passt den Wert des Drehwinkels nach Wunsch an (die Bewegung sollte der Drehung des Mausrades folgen).

Hier wurde nur die Benennung (Label) der Verbindung geändert, aber nicht ihr Name! (Jede Änderung der Art der Verbindung ändert auch die Benennung)

Die Eigenschaft Rotation der starren Verbindung kann durch ein Makro gesteuert werden oder von der Python-Konsole aus (einfach die folgenden Zeilen kopieren und einfügen):

actuator = FreeCAD.ActiveDocument.getObject('Revolute')

for angle in range(0,361,10):
    # A full rotation of the Crank in steps of 10°
    actuator.Rotation = angle
    App.activeDocument().recompute(None,True,True)

Oder alternativ:

actuator = FreeCAD.ActiveDocument.getObject('Revolute')

for angle in range(0,361,10):
    # A full rotation of the Crank in steps of 10°
    actuator.Rotation = angle
    Gui.runCommand('Assembly_SolveAssembly',0)

(Der Name der Verbindung ist och immer Revolute, während seine Benennung zu Fixed geändert wurde; und schließlich muss der Bereich größer als 360° sein, damit auch dieser Winkel noch als gültiges Ergebnis anerkannt wird.)